Subject: parted assertion failed

Description: Ð˜Ð¼ÐµÐµÑ‚Ñ•Ñ• Ñ„Ð»ÐµÑˆÐºÐ° Apacer 4GB:





<pre># fdisk -l /dev/sdc





Ð”Ð¸Ñ•Ðº /dev/sdc: 4009 ÐœÐ‘, 4009754624 Ð±Ð°Ð¹Ñ‚


23 heads, 23 sectors/track, 14804 cylinders, Ð²Ñ•ÐµÐ³Ð¾ 7831552 Ñ•ÐµÐºÑ‚Ð¾Ñ€Ð¾Ð²


Units = Ñ•ÐµÐºÑ‚Ð¾Ñ€Ñ‹ of 1 * 512 = 512 bytes


Sector size (logical/physical): 512 bytes / 512 bytes


I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk identifier: 0xc3072e18





Ð£Ñ•Ñ‚Ñ€-Ð²Ð¾ Ð—Ð°Ð³Ñ€     Ð•Ð°Ñ‡Ð°Ð»Ð¾       ÐšÐ¾Ð½ÐµÑ†       Ð‘Ð»Ð¾ÐºÐ¸   Id  

Ð¡Ð¸Ñ•Ñ‚ÐµÐ¼Ð°


/dev/sdc1   *        8064     7831551     3911744    c  W95 FAT32 (LBA)</pre>





ÐŸÑ€Ð¸ Ð¿Ð¾Ð¿Ñ‹Ñ‚ÐºÐµ Ð²Ñ‹Ð¿Ð¾Ð»Ð½Ð¸Ñ‚ÑŒ parted -l Ð¸Ð· Ð»ÑŽÐ±Ð¾Ð³Ð¾ 

Ð´Ð¸Ñ•Ñ‚Ñ€Ð¸Ð±ÑƒÑ‚Ð¸Ð²Ð° Calculate (ÐŸÑ€Ð¾Ð±Ð¾Ð²Ð°Ð» Ð²ÐµÑ€Ñ•Ð¸Ð¸: CLD 10.9 i686, 

cls-20110103-i686) Ð¿Ð¾Ð»ÑƒÑ‡Ð°ÑŽ Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰ÑƒÑŽ Ð¾ÑˆÐ¸Ð±ÐºÑƒ:





<pre>Backtrace Ð¸Ð¼ÐµÐµÑ‚ 16 Ð²Ñ‹Ð·Ð¾Ð²Ð¾Ð² Ð¸Ð· Ñ•Ñ‚ÐµÐºÐ°:


  16: /usr/lib/libparted.so.0(ped_assert+0x2a) [0xb772188a]


  15: /usr/lib/libparted.so.0(+0x424e7) [0xb77574e7]


  14: /usr/lib/libparted.so.0(+0x43307) [0xb7758307]


  13: /usr/lib/libparted.so.0(+0x445fc) [0xb77595fc]


  12: /usr/lib/libparted.so.0(+0x11151) [0xb7726151]


  11: /usr/lib/libparted.so.0(ped_disk_add_partition+0x262) [0xb77299e2]


  10: /usr/lib/libparted.so.0(+0x46035) [0xb775b035]


  9: /usr/lib/libparted.so.0(+0x4623f) [0xb775b23f]


  8: /usr/lib/libparted.so.0(ped_disk_new+0x75) [0xb772a7c5]


  7: parted() [0x804e368]


  6: parted() [0x804f4f3]


  5: parted() [0x805180a]


  4: parted() [0x8052e81]


  3: parted(main+0x2e) [0x8052f8e]


  2: /lib/libc.so.6(__libc_start_main+0xe6) [0xb756dbb6]


  1: parted() [0x804c3a1]





                                                                          





You found a bug in GNU Parted! Here's what you have to do:





Don't panic! The bug has most likely not affected any of your data.


Help us to fix this bug by doing the following:





Check whether the bug has already been fixed by checking


the last version of GNU Parted that you can find at:
	http://ftp.gnu.org/gnu/parted/





Please check this version prior to bug reporting.





If this has not been fixed yet or if you don't know how to check,


please visit the GNU Parted website:





	http://www.gnu.org/software/parted





for further information.





Your report should contain the version of this release (2.3)


along with the error message below, the output of





	parted DEVICE unit co print unit s print





and the following history of commands you entered.


Also include any additional information about your setup you


consider important.





ÐŸÑ€Ð¾Ð²ÐµÑ€ÐºÐ° ÑƒÑ•Ð»Ð¾Ð²Ð¸Ñ• (head_size <= 63) Ð½Ð° dos.c:661 Ð² Ñ„ÑƒÐ½ÐºÑ†Ð¸Ð¸


probe_partition_for_geom() Ð½Ðµ ÑƒÐ´Ð°Ð»Ð°Ñ•ÑŒ.</pre>





ÐšÐ°Ðº Ñ•Ð»ÐµÐ´Ñ•Ñ‚Ð²Ð¸Ðµ Ð½Ðµ Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÐµÑ‚ cl-install.


ÐŸÑ€Ð¸ Ñ•Ñ‚Ð¾Ð¼ Ð² Ð¼Ð¾ÐµÐ¼ Gentoo (x86_64) Ð¿Ð¾Ð»Ð½Ñ‹Ð¹ Ð¿Ð¾Ñ€Ñ•Ð´Ð¾Ðº.

History

01/04/2011 08:27 pm - Aleksey Vasilyevich

Ð’Ð¾Ñ‚ Ð²Ð¾Ñ‚ÐºÐ½ÑƒÐ» 4 Ñ„Ð»Ñ•ÑˆÐºÐ¸,Ð²Ñ•Ðµ Ð½Ð¾Ñ€Ð¼Ð°Ð»ÑŒÐ½Ð¾ Ñ…Ð·...

<pre>

parted -l

Warning: GNU Parted has detected libreiserfs interface version mismatch.  

Found 1-1, required 0. ReiserFS support will be disabled.

ÐœÐ¾Ð´ÐµÐ»ÑŒ: ATA ST9250315AS (scsi)

Ð”Ð¸Ñ•Ðº /dev/sda: 250GB

Ð Ð°Ð·Ð¼ÐµÑ€ Ñ•ÐµÐºÑ‚Ð¾Ñ€Ð° (Ð»Ð¾Ð³Ð¸Ñ‡./Ñ„Ð¸Ð·Ð¸Ñ‡.): 512B/512B

Ð¢Ð°Ð±Ð»Ð¸Ñ†Ð° Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð²: msdos

Ð•Ð¾Ð¼ÐµÑ€  Ð•Ð°Ñ‡Ð°Ð»Ð¾  ÐšÐ¾Ð½ÐµÑ†   Ð Ð°Ð·Ð¼ÐµÑ€  Ð¢Ð¸Ð¿       Ð¤Ð°Ð¹Ð»Ð¾Ð²Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°  Ð¤Ð»Ð°Ð³Ð¸

 1     32.3kB  3224MB  3224MB  primary   linux-swap(v1)

 2     3224MB  14.0GB  10.7GB  primary   reiserfs

 3     14.0GB  24.7GB  10.7GB  primary   reiserfs

 4     24.7GB  250GB   225GB   extended

 5     24.7GB  250GB   225GB   logical   reiserfs

ÐœÐ¾Ð´ÐµÐ»ÑŒ: JetFlash Transcend 2GB (scsi)

Ð”Ð¸Ñ•Ðº /dev/sdb: 2020MB

Ð Ð°Ð·Ð¼ÐµÑ€ Ñ•ÐµÐºÑ‚Ð¾Ñ€Ð° (Ð»Ð¾Ð³Ð¸Ñ‡./Ñ„Ð¸Ð·Ð¸Ñ‡.): 512B/512B

Ð¢Ð°Ð±Ð»Ð¸Ñ†Ð° Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð²: msdos

Ð•Ð¾Ð¼ÐµÑ€  Ð•Ð°Ñ‡Ð°Ð»Ð¾  ÐšÐ¾Ð½ÐµÑ†   Ð Ð°Ð·Ð¼ÐµÑ€  Ð¢Ð¸Ð¿      Ð¤Ð°Ð¹Ð»Ð¾Ð²Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°  Ð¤Ð»Ð°Ð³Ð¸
 1     31.7kB  2018MB  2018MB  primary  fat32             Ð·Ð°Ð³Ñ€ÑƒÐ·Ð¾Ñ‡Ð½Ñ‹Ð¹

ÐœÐ¾Ð´ÐµÐ»ÑŒ: A-DATA USB Flash Drive (scsi)

Ð”Ð¸Ñ•Ðº /dev/sdc: 4010MB

Ð Ð°Ð·Ð¼ÐµÑ€ Ñ•ÐµÐºÑ‚Ð¾Ñ€Ð° (Ð»Ð¾Ð³Ð¸Ñ‡./Ñ„Ð¸Ð·Ð¸Ñ‡.): 512B/512B

Ð¢Ð°Ð±Ð»Ð¸Ñ†Ð° Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð²: msdos

Ð•Ð¾Ð¼ÐµÑ€  Ð•Ð°Ñ‡Ð°Ð»Ð¾  ÐšÐ¾Ð½ÐµÑ†   Ð Ð°Ð·Ð¼ÐµÑ€  Ð¢Ð¸Ð¿      Ð¤Ð°Ð¹Ð»Ð¾Ð²Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°  Ð¤Ð»Ð°Ð³Ð¸

 1     32.3kB  4006MB  4006MB  primary  fat16             Ð·Ð°Ð³Ñ€ÑƒÐ·Ð¾Ñ‡Ð½Ñ‹Ð¹

ÐœÐ¾Ð´ÐµÐ»ÑŒ: Kingston DataTraveler II (scsi)

Ð”Ð¸Ñ•Ðº /dev/sdd: 515MB

Ð Ð°Ð·Ð¼ÐµÑ€ Ñ•ÐµÐºÑ‚Ð¾Ñ€Ð° (Ð»Ð¾Ð³Ð¸Ñ‡./Ñ„Ð¸Ð·Ð¸Ñ‡.): 512B/512B

Ð¢Ð°Ð±Ð»Ð¸Ñ†Ð° Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð²: msdos

Ð•Ð¾Ð¼ÐµÑ€  Ð•Ð°Ñ‡Ð°Ð»Ð¾  ÐšÐ¾Ð½ÐµÑ†  Ð Ð°Ð·Ð¼ÐµÑ€  Ð¢Ð¸Ð¿      Ð¤Ð°Ð¹Ð»Ð¾Ð²Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°  Ð¤Ð»Ð°Ð³Ð¸

 1     512B    515MB  515MB   primary  fat32             Ð·Ð°Ð³Ñ€ÑƒÐ·Ð¾Ñ‡Ð½Ñ‹Ð¹

ÐœÐ¾Ð´ÐµÐ»ÑŒ: CBM Flash Disk (scsi)

Ð”Ð¸Ñ•Ðº /dev/sde: 524MB

Ð Ð°Ð·Ð¼ÐµÑ€ Ñ•ÐµÐºÑ‚Ð¾Ñ€Ð° (Ð»Ð¾Ð³Ð¸Ñ‡./Ñ„Ð¸Ð·Ð¸Ñ‡.): 512B/512B

Ð¢Ð°Ð±Ð»Ð¸Ñ†Ð° Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð²: msdos

Ð•Ð¾Ð¼ÐµÑ€  Ð•Ð°Ñ‡Ð°Ð»Ð¾  ÐšÐ¾Ð½ÐµÑ†  Ð Ð°Ð·Ð¼ÐµÑ€  Ð¢Ð¸Ð¿      Ð¤Ð°Ð¹Ð»Ð¾Ð²Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°  Ð¤Ð»Ð°Ð³Ð¸

 1     30.2kB  524MB  524MB   primary  fat16             Ð·Ð°Ð³Ñ€ÑƒÐ·Ð¾Ñ‡Ð½Ñ‹Ð¹, lba

</pre>

<pre>

2.6.36.2-calculate x86_64 AMD Turion(tm) X2 Dual-Core Mobile RM-74 AuthenticAMD GNU/Linux

</pre>

01/05/2011 11:02 am - Ð•Ñ€Ñ‚Ñ‘Ð¼ Ð’Ð»Ð°Ñ•Ð¾Ð²

alex - wrote:


> Ð’Ð¾Ñ‚ Ð²Ð¾Ñ‚ÐºÐ½ÑƒÐ» 4 Ñ„Ð»Ñ•ÑˆÐºÐ¸,Ð²Ñ•Ðµ Ð½Ð¾Ñ€Ð¼Ð°Ð»ÑŒÐ½Ð¾ Ñ…Ð·...


> [...]


> [...]





ÐžÑ‡ÐµÐ½ÑŒ Ð¿Ð¾Ñ…Ð¾Ð¶Ðµ, Ñ‡Ñ‚Ð¾ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ð½Ð°Ð±Ð»ÑŽÐ´Ð°ÐµÑ‚Ñ•Ñ• Ñ‚Ð¾Ð»ÑŒÐºÐ¾ Ð½Ð° i686...

01/14/2011 10:50 am - Alexander Tratsevskiy

- Assignee set to Mikhail Hiretsky

01/14/2011 06:42 pm - Mikhail Hiretsky

Ð• Ñ• Ð´Ñ€ÑƒÐ³Ð¾Ð¹ Ñ„Ð»ÐµÑˆÐºÐ¾Ð¹ Ñ‚Ð°ÐºÐ°Ñ• Ð¶Ðµ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð°?

01/18/2011 02:12 pm - Mikhail Hiretsky

- Status changed from New to Feedback

01/31/2011 10:52 am - Alexander Tratsevskiy
- Status changed from Feedback to Closed
